# Module ethcore_util::log [−] [src]

Common log helper functions

## Structs

RotatingLogger | Logger implementation that keeps up to `LOG_SIZE` log elements.
Style | A style is a collection of properties that can format a string using ANSI escape codes.

## Enums

Colour | A colour is one specific type of ANSI escape code, and can refer to either the foreground or background colour.

## Functions

init_log | Intialize log with default settings

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)